VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.UserControl FUzEControl 
   ClientHeight    =   1200
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1125
   ScaleHeight     =   1200
   ScaleWidth      =   1125
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   495
      Left            =   0
      Picture         =   "FUzEControl.ctx":0000
      ScaleHeight     =   465
      ScaleWidth      =   465
      TabIndex        =   0
      Top             =   0
      Width           =   495
   End
   Begin MSCommLib.MSComm MSComm1 
      Left            =   480
      Top             =   480
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   327680
      DTREnable       =   -1  'True
   End
End
Attribute VB_Name = "FUzEControl"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)
Dim Command(17, 17, 4) As String
Public Function Initialize(intPort As Integer) As Boolean
    On Error GoTo ErrorHandler
    
    Initialize = False
    
    MSComm1.CommPort = intPort
    
    ' 9600 baud, no parity, 8 data, and 1 stop bit.
    MSComm1.Settings = "9600,N,8,1"
    MSComm1.PortOpen = True
    Initialize = True
    Exit Function
    
ErrorHandler:
    Initialize = False
End Function
Private Function SendBits(Transmission As String)

Dim i, j As Long
Dim SendBit As Integer

For i = 1 To Len(Transmission)
        SendBit = Val(Mid(Transmission, i, 1))
        If SendBit = 1 Then
            MSComm1.RTSEnable = True
            MSComm1.DTREnable = False
        Else
            MSComm1.RTSEnable = False
            MSComm1.DTREnable = True
        End If
        
        'Pause at least .5 ms
        Sleep (0.5)
        
        'Set back to standby
        MSComm1.RTSEnable = True
        MSComm1.DTREnable = True
        
        'Pause again
        Sleep (0.5)

    Next i

End Function
Public Sub Terminate()
    MSComm1.PortOpen = False
End Sub

Private Sub UserControl_Resize()
    UserControl.Height = 525
    UserControl.Width = 525
End Sub
Public Sub SendCommand(ByVal strHouseCode As String, ByVal intUnit As Integer, ByVal strAction As String)
    'Send Header
    Call SendBits("1101010110101010")
    'Send Data
    Call SendBits(fGetCommandBits(strHouseCode, intUnit, strAction))
    'Send Footer
    Call SendBits("10101101")
End Sub

Private Function fGetCommandBits(ByVal strHouseCode As String, ByVal intUnit As Integer, ByVal strAction As String)
   
   Dim strCommand As String
   
    Select Case UCase(strAction)
        Case "ON"
            Select Case strHouseCode
                 Case "A"
                     Select Case intUnit
                        Case 1
                             strCommand = "0110000000000000"
                        Case 2
                             strCommand = "0110000000010000"
                        Case 3
                             strCommand = "0110000000001000"
                        Case 4
                             strCommand = "0110000000011000"
                        Case 5
                             strCommand = "0110000001000000"
                        Case 6
                             strCommand = "0110000001010000"
                        Case 7
                             strCommand = "0110000001001000"
                        Case 8
                             strCommand = "0110000001011000"
                        Case 9
                             strCommand = "0110010000000000"
                        Case 10
                             strCommand = "0110010000010000"
                        Case 11
                             strCommand = "0110010000001000"
                        Case 12
                             strCommand = "0110010000011000"
                        Case 13
                             strCommand = "0110010001000000"
                        Case 14
                             strCommand = "0110010001010000"
                        Case 15
                             strCommand = "0110010001001000"
                        Case 16
                             strCommand = "0110010001011000"
                    End Select
                 Case "B"
                     Select Case intUnit
                        Case 1
                             strCommand = "0111000000000000"
                        Case 2
                             strCommand = "0111000000010000"
                        Case 3
                             strCommand = "0111000000001000"
                        Case 4
                             strCommand = "0111000000011000"
                        Case 5
                             strCommand = "0111000001000000"
                        Case 6
                             strCommand = "0111000001010000"
                        Case 7
                             strCommand = "0111000001001000"
                        Case 8
                             strCommand = "0111000001011000"
                        Case 9
                             strCommand = "0111010000000000"
                        Case 10
                             strCommand = "0111010000010000"
                        Case 11
                             strCommand = "0111010000001000"
                        Case 12
                             strCommand = "0111010000011000"
                        Case 13
                             strCommand = "0111010001000000"
                        Case 14
                             strCommand = "0111010001010000"
                        Case 15
                             strCommand = "0111010001001000"
                        Case 16
                             strCommand = "0111010001011000"
                    End Select
                 Case "C"
                     Select Case intUnit
                        Case 1
                             strCommand = "0100000000000000"
                        Case 2
                             strCommand = "0100000000010000"
                        Case 3
                             strCommand = "0100000000001000"
                        Case 4
                             strCommand = "0100000000011000"
                        Case 5
                             strCommand = "0100000001000000"
                        Case 6
                             strCommand = "0100000001010000"
                        Case 7
                             strCommand = "0100000001001000"
                        Case 8
                             strCommand = "0100000001011000"
                        Case 9
                             strCommand = "0100010000000000"
                        Case 10
                             strCommand = "0100010000010000"
                        Case 11
                             strCommand = "0100010000001000"
                        Case 12
                             strCommand = "0100010000011000"
                        Case 13
                             strCommand = "0100010001000000"
                        Case 14
                             strCommand = "0100010001010000"
                        Case 15
                             strCommand = "0100010001001000"
                        Case 16
                             strCommand = "0100010001011000"
                    End Select
                 Case "D"
                     Select Case intUnit
                        Case 1
                             strCommand = "0101000000000000"
                        Case 2
                             strCommand = "0101000000010000"
                        Case 3
                             strCommand = "0101000000001000"
                        Case 4
                             strCommand = "0101000000011000"
                        Case 5
                             strCommand = "0101000001000000"
                        Case 6
                             strCommand = "0101000001010000"
                        Case 7
                             strCommand = "0101000001001000"
                        Case 8
                             strCommand = "0101000001011000"
                        Case 9
                             strCommand = "0101010000000000"
                        Case 10
                             strCommand = "0101010000010000"
                        Case 11
                             strCommand = "0101010000001000"
                        Case 12
                             strCommand = "0101010000011000"
                        Case 13
                             strCommand = "0101010001000000"
                        Case 14
                             strCommand = "0101010001010000"
                        Case 15
                             strCommand = "0101010001001000"
                        Case 16
                             strCommand = "0101010001011000"
                    End Select
                 Case "E"
                     Select Case intUnit
                        Case 1
                             strCommand = "1000000000000000"
                        Case 2
                             strCommand = "1000000000010000"
                        Case 3
                             strCommand = "1000000000001000"
                        Case 4
                             strCommand = "1000000000011000"
                        Case 5
                             strCommand = "1000000001000000"
                        Case 6
                             strCommand = "1000000001010000"
                        Case 7
                             strCommand = "1000000001001000"
                        Case 8
                             strCommand = "1000000001011000"
                        Case 9
                             strCommand = "1000010000000000"
                        Case 10
                             strCommand = "1000010000010000"
                        Case 11
                             strCommand = "1000010000001000"
                        Case 12
                             strCommand = "1000010000011000"
                        Case 13
                             strCommand = "1000010001000000"
                        Case 14
                             strCommand = "1000010001010000"
                        Case 15
                             strCommand = "1000010001001000"
                        Case 16
                             strCommand = "1000010001011000"
                    End Select
                 Case "F"
                     Select Case intUnit
                        Case 1
                             strCommand = "1001000000000000"
                        Case 2
                             strCommand = "1001000000010000"
                        Case 3
                             strCommand = "1001000000001000"
                        Case 4
                             strCommand = "1001000000011000"
                        Case 5
                             strCommand = "1001000001000000"
                        Case 6
                             strCommand = "1001000001010000"
                        Case 7
                             strCommand = "1001000001001000"
                        Case 8
                             strCommand = "1001000001011000"
                        Case 9
                             strCommand = "1001010000000000"
                        Case 10
                             strCommand = "1001010000010000"
                        Case 11
                             strCommand = "1001010000001000"
                        Case 12
                             strCommand = "1001010000011000"
                        Case 13
                             strCommand = "1001010001000000"
                        Case 14
                             strCommand = "1001010001010000"
                        Case 15
                             strCommand = "1001010001001000"
                        Case 16
                             strCommand = "1001010001011000"
                    End Select
                 Case "G"
                     Select Case intUnit
                        Case 1
                             strCommand = "1010000000000000"
                        Case 2
                             strCommand = "1010000000010000"
                        Case 3
                             strCommand = "1010000000001000"
                        Case 4
                             strCommand = "1010000000011000"
                        Case 5
                             strCommand = "1010000001000000"
                        Case 6
                             strCommand = "1010000001010000"
                        Case 7
                             strCommand = "1010000001001000"
                        Case 8
                             strCommand = "1010000001011000"
                        Case 9
                             strCommand = "1010010000000000"
                        Case 10
                             strCommand = "1010010000010000"
                        Case 11
                             strCommand = "1010010000001000"
                        Case 12
                             strCommand = "1010010000011000"
                        Case 13
                             strCommand = "1010010001000000"
                        Case 14
                             strCommand = "1010010001010000"
                        Case 15
                             strCommand = "1010010001001000"
                        Case 16
                             strCommand = "1010010001011000"
                    End Select
                 Case "H"
                     Select Case intUnit
                        Case 1
                             strCommand = "1011000000000000"
                        Case 2
                             strCommand = "1011000000010000"
                        Case 3
                             strCommand = "1011000000001000"
                        Case 4
                             strCommand = "1011000000011000"
                        Case 5
                             strCommand = "1011000001000000"
                        Case 6
                             strCommand = "1011000001010000"
                        Case 7
                             strCommand = "1011000001001000"
                        Case 8
                             strCommand = "1011000001011000"
                        Case 9
                             strCommand = "1011010000000000"
                        Case 10
                             strCommand = "1011010000010000"
                        Case 11
                             strCommand = "1011010000001000"
                        Case 12
                             strCommand = "1011010000011000"
                        Case 13
                             strCommand = "1011010001000000"
                        Case 14
                             strCommand = "1011010001010000"
                        Case 15
                             strCommand = "1011010001001000"
                        Case 16
                             strCommand = "1011010001011000"
                    End Select
                 Case "I"
                     Select Case intUnit
                        Case 1
                             strCommand = "1110000000000000"
                        Case 2
                             strCommand = "1110000000010000"
                        Case 3
                             strCommand = "1110000000001000"
                        Case 4
                             strCommand = "1110000000011000"
                        Case 5
                             strCommand = "1110000001000000"
                        Case 6
                             strCommand = "1110000001010000"
                        Case 7
                             strCommand = "1110000001001000"
                        Case 8
                             strCommand = "1110000001011000"
                        Case 9
                             strCommand = "1110010000000000"
                        Case 10
                             strCommand = "1110010000010000"
                        Case 11
                             strCommand = "1110010000001000"
                        Case 12
                             strCommand = "1110010000011000"
                        Case 13
                             strCommand = "1110010001000000"
                        Case 14
                             strCommand = "1110010001010000"
                        Case 15
                             strCommand = "1110010001001000"
                        Case 16
                             strCommand = "1110010001011000"
                    End Select
                 Case "J"
                     Select Case intUnit
                        Case 1
                             strCommand = "1111000000000000"
                        Case 2
                             strCommand = "1111000000010000"
                        Case 3
                             strCommand = "1111000000001000"
                        Case 4
                             strCommand = "1111000000011000"
                        Case 5
                             strCommand = "1111000001000000"
                        Case 6
                             strCommand = "1111000001010000"
                        Case 7
                             strCommand = "1111000001001000"
                        Case 8
                             strCommand = "1111000001011000"
                        Case 9
                             strCommand = "1111010000000000"
                        Case 10
                             strCommand = "1111010000010000"
                        Case 11
                             strCommand = "1111010000001000"
                        Case 12
                             strCommand = "1111010000011000"
                        Case 13
                             strCommand = "1111010001000000"
                        Case 14
                             strCommand = "1111010001010000"
                        Case 15
                             strCommand = "1111010001001000"
                        Case 16
                             strCommand = "1111010001011000"
                    End Select
                 Case "K"
                     Select Case intUnit
                        Case 1
                             strCommand = "1100000000000000"
                        Case 2
                             strCommand = "1100000000010000"
                        Case 3
                             strCommand = "1100000000001000"
                        Case 4
                             strCommand = "1100000000011000"
                        Case 5
                             strCommand = "1100000001000000"
                        Case 6
                             strCommand = "1100000001010000"
                        Case 7
                             strCommand = "1100000001001000"
                        Case 8
                             strCommand = "1100000001011000"
                        Case 9
                             strCommand = "1100010000000000"
                        Case 10
                             strCommand = "1100010000010000"
                        Case 11
                             strCommand = "1100010000001000"
                        Case 12
                             strCommand = "1100010000011000"
                        Case 13
                             strCommand = "1100010001000000"
                        Case 14
                             strCommand = "1100010001010000"
                        Case 15
                             strCommand = "1100010001001000"
                        Case 16
                             strCommand = "1100010001011000"
                    End Select
                 Case "L"
                     Select Case intUnit
                        Case 1
                             strCommand = "1101000000000000"
                        Case 2
                             strCommand = "1101000000010000"
                        Case 3
                             strCommand = "1101000000001000"
                        Case 4
                             strCommand = "1101000000011000"
                        Case 5
                             strCommand = "1101000001000000"
                        Case 6
                             strCommand = "1101000001010000"
                        Case 7
                             strCommand = "1101000001001000"
                        Case 8
                             strCommand = "1101000001011000"
                        Case 9
                             strCommand = "1101010000000000"
                        Case 10
                             strCommand = "1101010000010000"
                        Case 11
                             strCommand = "1101010000001000"
                        Case 12
                             strCommand = "1101010000011000"
                        Case 13
                             strCommand = "1101010001000000"
                        Case 14
                             strCommand = "1101010001010000"
                        Case 15
                             strCommand = "1101010001001000"
                        Case 16
                             strCommand = "1101010001011000"
                    End Select
                 Case "M"
                     Select Case intUnit
                        Case 1
                             strCommand = "0000000000000000"
                        Case 2
                             strCommand = "0000000000010000"
                        Case 3
                             strCommand = "0000000000001000"
                        Case 4
                             strCommand = "0000000000011000"
                        Case 5
                             strCommand = "0000000001000000"
                        Case 6
                             strCommand = "0000000001010000"
                        Case 7
                             strCommand = "0000000001001000"
                        Case 8
                             strCommand = "0000000001011000"
                        Case 9
                             strCommand = "0000010000000000"
                        Case 10
                             strCommand = "0000010000010000"
                        Case 11
                             strCommand = "0000010000001000"
                        Case 12
                             strCommand = "0000010000011000"
                        Case 13
                             strCommand = "0000010001000000"
                        Case 14
                             strCommand = "0000010001010000"
                        Case 15
                             strCommand = "0000010001001000"
                        Case 16
                             strCommand = "0000010001011000"
                    End Select
                 Case "N"
                     Select Case intUnit
                        Case 1
                             strCommand = "0001000000000000"
                        Case 2
                             strCommand = "0001000000010000"
                        Case 3
                             strCommand = "0001000000001000"
                        Case 4
                             strCommand = "0001000000011000"
                        Case 5
                             strCommand = "0001000001000000"
                        Case 6
                             strCommand = "0001000001010000"
                        Case 7
                             strCommand = "0001000001001000"
                        Case 8
                             strCommand = "0001000001011000"
                        Case 9
                             strCommand = "0001010000000000"
                        Case 10
                             strCommand = "0001010000010000"
                        Case 11
                             strCommand = "0001010000001000"
                        Case 12
                             strCommand = "0001010000011000"
                        Case 13
                             strCommand = "0001010001000000"
                        Case 14
                             strCommand = "0001010001010000"
                        Case 15
                             strCommand = "0001010001001000"
                        Case 16
                             strCommand = "0001010001011000"
                    End Select
                 Case "O"
                     Select Case intUnit
                        Case 1
                             strCommand = "0010000000000000"
                        Case 2
                             strCommand = "0010000000010000"
                        Case 3
                             strCommand = "0010000000001000"
                        Case 4
                             strCommand = "0010000000011000"
                        Case 5
                             strCommand = "0010000001000000"
                        Case 6
                             strCommand = "0010000001010000"
                        Case 7
                             strCommand = "0010000001001000"
                        Case 8
                             strCommand = "0010000001011000"
                        Case 9
                             strCommand = "0010010000000000"
                        Case 10
                             strCommand = "0010010000010000"
                        Case 11
                             strCommand = "0010010000001000"
                        Case 12
                             strCommand = "0010010000011000"
                        Case 13
                             strCommand = "0010010001000000"
                        Case 14
                             strCommand = "0010010001010000"
                        Case 15
                             strCommand = "0010010001001000"
                        Case 16
                             strCommand = "0010010001011000"
                    End Select
                 Case "P"
                     Select Case intUnit
                        Case 1
                             strCommand = "0011000000000000"
                        Case 2
                             strCommand = "0011000000010000"
                        Case 3
                             strCommand = "0011000000001000"
                        Case 4
                             strCommand = "0011000000011000"
                        Case 5
                             strCommand = "0011000001000000"
                        Case 6
                             strCommand = "0011000001010000"
                        Case 7
                             strCommand = "0011000001001000"
                        Case 8
                             strCommand = "0011000001011000"
                        Case 9
                             strCommand = "0011010000000000"
                        Case 10
                             strCommand = "0011010000010000"
                        Case 11
                             strCommand = "0011010000001000"
                        Case 12
                             strCommand = "0011010000011000"
                        Case 13
                             strCommand = "0011010001000000"
                        Case 14
                             strCommand = "0011010001010000"
                        Case 15
                             strCommand = "0011010001001000"
                        Case 16
                             strCommand = "0011010001011000"
                    End Select
            End Select
            
'***********************************************************
'***********************************************************

            
     Case "OFF"
            Select Case strHouseCode
                Case "A"
                    Select Case intUnit
                       Case 1
                            strCommand = "0110000000100000"
                       Case 2
                            strCommand = "0110000000110000"
                       Case 3
                            strCommand = "0110000000101000"
                       Case 4
                            strCommand = "0110000000111000"
                       Case 5
                            strCommand = "0110000001100000"
                       Case 6
                            strCommand = "0110000001110000"
                       Case 7
                            strCommand = "0110000001101000"
                       Case 8
                            strCommand = "0110000001111000"
                       Case 9
                            strCommand = "0110010000100000"
                       Case 10
                            strCommand = "0110010000110000"
                       Case 11
                            strCommand = "0110010000101000"
                       Case 12
                            strCommand = "0110010000111000"
                       Case 13
                            strCommand = "0110010001100000"
                       Case 14
                            strCommand = "0110010001110000"
                       Case 15
                            strCommand = "0110010001101000"
                       Case 16
                            strCommand = "0110010001111000"
                   End Select
                Case "B"
                    Select Case intUnit
                       Case 1
                            strCommand = "0111000000100000"
                       Case 2
                            strCommand = "0111000000110000"
                       Case 3
                            strCommand = "0111000000101000"
                       Case 4
                            strCommand = "0111000000111000"
                       Case 5
                            strCommand = "0111000001100000"
                       Case 6
                            strCommand = "0111000001110000"
                       Case 7
                            strCommand = "0111000001101000"
                       Case 8
                            strCommand = "0111000001111000"
                       Case 9
                            strCommand = "0111010000100000"
                       Case 10
                            strCommand = "0111010000110000"
                       Case 11
                            strCommand = "0111010000101000"
                       Case 12
                            strCommand = "0111010000111000"
                       Case 13
                            strCommand = "0111010001100000"
                       Case 14
                            strCommand = "0111010001110000"
                       Case 15
                            strCommand = "0111010001101000"
                       Case 16
                            strCommand = "0111010001111000"
                   End Select
                Case "C"
                    Select Case intUnit
                       Case 1
                            strCommand = "0100000000100000"
                       Case 2
                            strCommand = "0100000000110000"
                       Case 3
                            strCommand = "0100000000101000"
                       Case 4
                            strCommand = "0100000000111000"
                       Case 5
                            strCommand = "0100000001100000"
                       Case 6
                            strCommand = "0100000001110000"
                       Case 7
                            strCommand = "0100000001101000"
                       Case 8
                            strCommand = "0100000001111000"
                       Case 9
                            strCommand = "0100010000100000"
                       Case 10
                            strCommand = "0100010000110000"
                       Case 11
                            strCommand = "0100010000101000"
                       Case 12
                            strCommand = "0100010000111000"
                       Case 13
                            strCommand = "0100010001100000"
                       Case 14
                            strCommand = "0100010001110000"
                       Case 15
                            strCommand = "0100010001101000"
                       Case 16
                            strCommand = "0100010001111000"
                   End Select
                Case "D"
                    Select Case intUnit
                       Case 1
                            strCommand = "0101000000100000"
                       Case 2
                            strCommand = "0101000000110000"
                       Case 3
                            strCommand = "0101000000101000"
                       Case 4
                            strCommand = "0101000000111000"
                       Case 5
                            strCommand = "0101000001100000"
                       Case 6
                            strCommand = "0101000001110000"
                       Case 7
                            strCommand = "0101000001101000"
                       Case 8
                            strCommand = "0101000001111000"
                       Case 9
                            strCommand = "0101010000100000"
                       Case 10
                            strCommand = "0101010000110000"
                       Case 11
                            strCommand = "0101010000101000"
                       Case 12
                            strCommand = "0101010000111000"
                       Case 13
                            strCommand = "0101010001100000"
                       Case 14
                            strCommand = "0101010001110000"
                       Case 15
                            strCommand = "0101010001101000"
                       Case 16
                            strCommand = "0101010001111000"
                   End Select
                Case "E"
                    Select Case intUnit
                       Case 1
                            strCommand = "1000000000100000"
                       Case 2
                            strCommand = "1000000000110000"
                       Case 3
                            strCommand = "1000000000101000"
                       Case 4
                            strCommand = "1000000000111000"
                       Case 5
                            strCommand = "1000000001100000"
                       Case 6
                            strCommand = "1000000001110000"
                       Case 7
                            strCommand = "1000000001101000"
                       Case 8
                            strCommand = "1000000001111000"
                       Case 9
                            strCommand = "1000010000100000"
                       Case 10
                            strCommand = "1000010000110000"
                       Case 11
                            strCommand = "1000010000101000"
                       Case 12
                            strCommand = "1000010000111000"
                       Case 13
                            strCommand = "1000010001100000"
                       Case 14
                            strCommand = "1000010001110000"
                       Case 15
                            strCommand = "1000010001101000"
                       Case 16
                            strCommand = "1000010001111000"
                   End Select
                Case "F"
                    Select Case intUnit
                       Case 1
                            strCommand = "1001000000100000"
                       Case 2
                            strCommand = "1001000000110000"
                       Case 3
                            strCommand = "1001000000101000"
                       Case 4
                            strCommand = "1001000000111000"
                       Case 5
                            strCommand = "1001000001100000"
                       Case 6
                            strCommand = "1001000001110000"
                       Case 7
                            strCommand = "1001000001101000"
                       Case 8
                            strCommand = "1001000001111000"
                       Case 9
                            strCommand = "1001010000100000"
                       Case 10
                            strCommand = "1001010000110000"
                       Case 11
                            strCommand = "1001010000101000"
                       Case 12
                            strCommand = "1001010000111000"
                       Case 13
                            strCommand = "1001010001100000"
                       Case 14
                            strCommand = "1001010001110000"
                       Case 15
                            strCommand = "1001010001101000"
                       Case 16
                            strCommand = "1001010001111000"
                   End Select
                Case "G"
                    Select Case intUnit
                       Case 1
                            strCommand = "1010000000100000"
                       Case 2
                            strCommand = "1010000000110000"
                       Case 3
                            strCommand = "1010000000101000"
                       Case 4
                            strCommand = "1010000000111000"
                       Case 5
                            strCommand = "1010000001100000"
                       Case 6
                            strCommand = "1010000001110000"
                       Case 7
                            strCommand = "1010000001101000"
                       Case 8
                            strCommand = "1010000001111000"
                       Case 9
                            strCommand = "1010010000100000"
                       Case 10
                            strCommand = "1010010000110000"
                       Case 11
                            strCommand = "1010010000101000"
                       Case 12
                            strCommand = "1010010000111000"
                       Case 13
                            strCommand = "1010010001100000"
                       Case 14
                            strCommand = "1010010001110000"
                       Case 15
                            strCommand = "1010010001101000"
                       Case 16
                            strCommand = "1010010001111000"
                   End Select
                Case "H"
                    Select Case intUnit
                       Case 1
                            strCommand = "1011000000100000"
                       Case 2
                            strCommand = "1011000000110000"
                       Case 3
                            strCommand = "1011000000101000"
                       Case 4
                            strCommand = "1011000000111000"
                       Case 5
                            strCommand = "1011000001100000"
                       Case 6
                            strCommand = "1011000001110000"
                       Case 7
                            strCommand = "1011000001101000"
                       Case 8
                            strCommand = "1011000001111000"
                       Case 9
                            strCommand = "1011010000100000"
                       Case 10
                            strCommand = "1011010000110000"
                       Case 11
                            strCommand = "1011010000101000"
                       Case 12
                            strCommand = "1011010000111000"
                       Case 13
                            strCommand = "1011010001100000"
                       Case 14
                            strCommand = "1011010001110000"
                       Case 15
                            strCommand = "1011010001101000"
                       Case 16
                            strCommand = "1011010001111000"
                   End Select
                Case "I"
                    Select Case intUnit
                       Case 1
                            strCommand = "1110000000100000"
                       Case 2
                            strCommand = "1110000000110000"
                       Case 3
                            strCommand = "1110000000101000"
                       Case 4
                            strCommand = "1110000000111000"
                       Case 5
                            strCommand = "1110000001100000"
                       Case 6
                            strCommand = "1110000001110000"
                       Case 7
                            strCommand = "1110000001101000"
                       Case 8
                            strCommand = "1110000001111000"
                       Case 9
                            strCommand = "1110010000100000"
                       Case 10
                            strCommand = "1110010000110000"
                       Case 11
                            strCommand = "1110010000101000"
                       Case 12
                            strCommand = "1110010000111000"
                       Case 13
                            strCommand = "1110010001100000"
                       Case 14
                            strCommand = "1110010001110000"
                       Case 15
                            strCommand = "1110010001101000"
                       Case 16
                            strCommand = "1110010001111000"
                   End Select
                Case "J"
                    Select Case intUnit
                       Case 1
                            strCommand = "1111000000100000"
                       Case 2
                            strCommand = "1111000000110000"
                       Case 3
                            strCommand = "1111000000101000"
                       Case 4
                            strCommand = "1111000000111000"
                       Case 5
                            strCommand = "1111000001100000"
                       Case 6
                            strCommand = "1111000001110000"
                       Case 7
                            strCommand = "1111000001101000"
                       Case 8
                            strCommand = "1111000001111000"
                       Case 9
                            strCommand = "1111010000100000"
                       Case 10
                            strCommand = "1111010000110000"
                       Case 11
                            strCommand = "1111010000101000"
                       Case 12
                            strCommand = "1111010000111000"
                       Case 13
                            strCommand = "1111010001100000"
                       Case 14
                            strCommand = "1111010001110000"
                       Case 15
                            strCommand = "1111010001101000"
                       Case 16
                            strCommand = "1111010001111000"
                   End Select
                Case "K"
                    Select Case intUnit
                       Case 1
                            strCommand = "1100000000100000"
                       Case 2
                            strCommand = "1100000000110000"
                       Case 3
                            strCommand = "1100000000101000"
                       Case 4
                            strCommand = "1100000000111000"
                       Case 5
                            strCommand = "1100000001100000"
                       Case 6
                            strCommand = "1100000001110000"
                       Case 7
                            strCommand = "1100000001101000"
                       Case 8
                            strCommand = "1100000001111000"
                       Case 9
                            strCommand = "1100010000100000"
                       Case 10
                            strCommand = "1100010000110000"
                       Case 11
                            strCommand = "1100010000101000"
                       Case 12
                            strCommand = "1100010000111000"
                       Case 13
                            strCommand = "1100010001100000"
                       Case 14
                            strCommand = "1100010001110000"
                       Case 15
                            strCommand = "1100010001101000"
                       Case 16
                            strCommand = "1100010001111000"
                   End Select
                Case "L"
                    Select Case intUnit
                       Case 1
                            strCommand = "1101000000100000"
                       Case 2
                            strCommand = "1101000000110000"
                       Case 3
                            strCommand = "1101000000101000"
                       Case 4
                            strCommand = "1101000000111000"
                       Case 5
                            strCommand = "1101000001100000"
                       Case 6
                            strCommand = "1101000001110000"
                       Case 7
                            strCommand = "1101000001101000"
                       Case 8
                            strCommand = "1101000001111000"
                       Case 9
                            strCommand = "1101010000100000"
                       Case 10
                            strCommand = "1101010000110000"
                       Case 11
                            strCommand = "1101010000101000"
                       Case 12
                            strCommand = "1101010000111000"
                       Case 13
                            strCommand = "1101010001100000"
                       Case 14
                            strCommand = "1101010001110000"
                       Case 15
                            strCommand = "1101010001101000"
                       Case 16
                            strCommand = "1101010001111000"
                   End Select
                Case "M"
                    Select Case intUnit
                       Case 1
                            strCommand = "0000000000100000"
                       Case 2
                            strCommand = "0000000000110000"
                       Case 3
                            strCommand = "0000000000101000"
                       Case 4
                            strCommand = "0000000000111000"
                       Case 5
                            strCommand = "0000000001100000"
                       Case 6
                            strCommand = "0000000001110000"
                       Case 7
                            strCommand = "0000000001101000"
                       Case 8
                            strCommand = "0000000001111000"
                       Case 9
                            strCommand = "0000010000100000"
                       Case 10
                            strCommand = "0000010000110000"
                       Case 11
                            strCommand = "0000010000101000"
                       Case 12
                            strCommand = "0000010000111000"
                       Case 13
                            strCommand = "0000010001100000"
                       Case 14
                            strCommand = "0000010001110000"
                       Case 15
                            strCommand = "0000010001101000"
                       Case 16
                            strCommand = "0000010001111000"
                   End Select
                Case "N"
                    Select Case intUnit
                       Case 1
                            strCommand = "0001000000100000"
                       Case 2
                            strCommand = "0001000000110000"
                       Case 3
                            strCommand = "0001000000101000"
                       Case 4
                            strCommand = "0001000000111000"
                       Case 5
                            strCommand = "0001000001100000"
                       Case 6
                            strCommand = "0001000001110000"
                       Case 7
                            strCommand = "0001000001101000"
                       Case 8
                            strCommand = "0001000001111000"
                       Case 9
                            strCommand = "0001010000100000"
                       Case 10
                            strCommand = "0001010000110000"
                       Case 11
                            strCommand = "0001010000101000"
                       Case 12
                            strCommand = "0001010000111000"
                       Case 13
                            strCommand = "0001010001100000"
                       Case 14
                            strCommand = "0001010001110000"
                       Case 15
                            strCommand = "0001010001101000"
                       Case 16
                            strCommand = "0001010001111000"
                   End Select
                Case "O"
                    Select Case intUnit
                       Case 1
                            strCommand = "0010000000100000"
                       Case 2
                            strCommand = "0010000000110000"
                       Case 3
                            strCommand = "0010000000101000"
                       Case 4
                            strCommand = "0010000000111000"
                       Case 5
                            strCommand = "0010000001100000"
                       Case 6
                            strCommand = "0010000001110000"
                       Case 7
                            strCommand = "0010000001101000"
                       Case 8
                            strCommand = "0010000001111000"
                       Case 9
                            strCommand = "0010010000100000"
                       Case 10
                            strCommand = "0010010000110000"
                       Case 11
                            strCommand = "0010010000101000"
                       Case 12
                            strCommand = "0010010000111000"
                       Case 13
                            strCommand = "0010010001100000"
                       Case 14
                            strCommand = "0010010001110000"
                       Case 15
                            strCommand = "0010010001101000"
                       Case 16
                            strCommand = "0010010001111000"
                   End Select
                Case "P"
                    Select Case intUnit
                       Case 1
                            strCommand = "0011000000100000"
                       Case 2
                            strCommand = "0011000000110000"
                       Case 3
                            strCommand = "0011000000101000"
                       Case 4
                            strCommand = "0011000000111000"
                       Case 5
                            strCommand = "0011000001100000"
                       Case 6
                            strCommand = "0011000001110000"
                       Case 7
                            strCommand = "0011000001101000"
                       Case 8
                            strCommand = "0011000001111000"
                       Case 9
                            strCommand = "0011010000100000"
                       Case 10
                            strCommand = "0011010000110000"
                       Case 11
                            strCommand = "0011010000101000"
                       Case 12
                            strCommand = "0011010000111000"
                       Case 13
                            strCommand = "0011010001100000"
                       Case 14
                            strCommand = "0011010001110000"
                       Case 15
                            strCommand = "0011010001101000"
                       Case 16
                            strCommand = "0011010001111000"
                    End Select
            End Select
            
'***********************************************************
'***********************************************************
            
        Case "DIM"
            Select Case strHouseCode
                Case "A"
                    Select Case intUnit
                       Case 1
                            strCommand = "0110000010011000"
                       Case 2
                            strCommand = "0110000010011000"
                       Case 3
                            strCommand = "0110000010011000"
                       Case 4
                            strCommand = "0110000010011000"
                       Case 5
                            strCommand = "0110000010011000"
                       Case 6
                            strCommand = "0110000010011000"
                       Case 7
                            strCommand = "0110000010011000"
                       Case 8
                            strCommand = "0110000010011000"
                       Case 9
                            strCommand = "0110000010011000"
                       Case 10
                            strCommand = "0110000010011000"
                       Case 11
                            strCommand = "0110000010011000"
                       Case 12
                            strCommand = "0110000010011000"
                       Case 13
                            strCommand = "0110000010011000"
                       Case 14
                            strCommand = "0110000010011000"
                       Case 15
                            strCommand = "0110000010011000"
                       Case 16
                            strCommand = "0110000010011000"
                   End Select
                Case "B"
                    Select Case intUnit
                       Case 1
                            strCommand = "0111000010011000"
                       Case 2
                            strCommand = "0111000010011000"
                       Case 3
                            strCommand = "0111000010011000"
                       Case 4
                            strCommand = "0111000010011000"
                       Case 5
                            strCommand = "0111000010011000"
                       Case 6
                            strCommand = "0111000010011000"
                       Case 7
                            strCommand = "0111000010011000"
                       Case 8
                            strCommand = "0111000010011000"
                       Case 9
                            strCommand = "0111000010011000"
                       Case 10
                            strCommand = "0111000010011000"
                       Case 11
                            strCommand = "0111000010011000"
                       Case 12
                            strCommand = "0111000010011000"
                       Case 13
                            strCommand = "0111000010011000"
                       Case 14
                            strCommand = "0111000010011000"
                       Case 15
                            strCommand = "0111000010011000"
                       Case 16
                            strCommand = "0111000010011000"
                   End Select
                Case "C"
                    Select Case intUnit
                       Case 1
                            strCommand = "0100000010011000"
                       Case 2
                            strCommand = "0100000010011000"
                       Case 3
                            strCommand = "0100000010011000"
                       Case 4
                            strCommand = "0100000010011000"
                       Case 5
                            strCommand = "0100000010011000"
                       Case 6
                            strCommand = "0100000010011000"
                       Case 7
                            strCommand = "0100000010011000"
                       Case 8
                            strCommand = "0100000010011000"
                       Case 9
                            strCommand = "0100000010011000"
                       Case 10
                            strCommand = "0100000010011000"
                       Case 11
                            strCommand = "0100000010011000"
                       Case 12
                            strCommand = "0100000010011000"
                       Case 13
                            strCommand = "0100000010011000"
                       Case 14
                            strCommand = "0100000010011000"
                       Case 15
                            strCommand = "0100000010011000"
                       Case 16
                            strCommand = "0100000010011000"
                   End Select
                Case "D"
                    Select Case intUnit
                       Case 1
                            strCommand = "0101000010011000"
                       Case 2
                            strCommand = "0101000010011000"
                       Case 3
                            strCommand = "0101000010011000"
                       Case 4
                            strCommand = "0101000010011000"
                       Case 5
                            strCommand = "0101000010011000"
                       Case 6
                            strCommand = "0101000010011000"
                       Case 7
                            strCommand = "0101000010011000"
                       Case 8
                            strCommand = "0101000010011000"
                       Case 9
                            strCommand = "0101000010011000"
                       Case 10
                            strCommand = "0101000010011000"
                       Case 11
                            strCommand = "0101000010011000"
                       Case 12
                            strCommand = "0101000010011000"
                       Case 13
                            strCommand = "0101000010011000"
                       Case 14
                            strCommand = "0101000010011000"
                       Case 15
                            strCommand = "0101000010011000"
                       Case 16
                            strCommand = "0101000010011000"
                   End Select
                Case "E"
                    Select Case intUnit
                       Case 1
                            strCommand = "1000000010011000"
                       Case 2
                            strCommand = "1000000010011000"
                       Case 3
                            strCommand = "1000000010011000"
                       Case 4
                            strCommand = "1000000010011000"
                       Case 5
                            strCommand = "1000000010011000"
                       Case 6
                            strCommand = "1000000010011000"
                       Case 7
                            strCommand = "1000000010011000"
                       Case 8
                            strCommand = "1000000010011000"
                       Case 9
                            strCommand = "1000000010011000"
                       Case 10
                            strCommand = "1000000010011000"
                       Case 11
                            strCommand = "1000000010011000"
                       Case 12
                            strCommand = "1000000010011000"
                       Case 13
                            strCommand = "1000000010011000"
                       Case 14
                            strCommand = "1000000010011000"
                       Case 15
                            strCommand = "1000000010011000"
                       Case 16
                            strCommand = "1000000010011000"
                   End Select
                Case "F"
                    Select Case intUnit
                       Case 1
                            strCommand = "1001000010011000"
                       Case 2
                            strCommand = "1001000010011000"
                       Case 3
                            strCommand = "1001000010011000"
                       Case 4
                            strCommand = "1001000010011000"
                       Case 5
                            strCommand = "1001000010011000"
                       Case 6
                            strCommand = "1001000010011000"
                       Case 7
                            strCommand = "1001000010011000"
                       Case 8
                            strCommand = "1001000010011000"
                       Case 9
                            strCommand = "1001000010011000"
                       Case 10
                            strCommand = "1001000010011000"
                       Case 11
                            strCommand = "1001000010011000"
                       Case 12
                            strCommand = "1001000010011000"
                       Case 13
                            strCommand = "1001000010011000"
                       Case 14
                            strCommand = "1001000010011000"
                       Case 15
                            strCommand = "1001000010011000"
                       Case 16
                            strCommand = "1001000010011000"
                   End Select
                Case "G"
                    Select Case intUnit
                       Case 1
                            strCommand = "1010000010011000"
                       Case 2
                            strCommand = "1010000010011000"
                       Case 3
                            strCommand = "1010000010011000"
                       Case 4
                            strCommand = "1010000010011000"
                       Case 5
                            strCommand = "1010000010011000"
                       Case 6
                            strCommand = "1010000010011000"
                       Case 7
                            strCommand = "1010000010011000"
                       Case 8
                            strCommand = "1010000010011000"
                       Case 9
                            strCommand = "1010000010011000"
                       Case 10
                            strCommand = "1010000010011000"
                       Case 11
                            strCommand = "1010000010011000"
                       Case 12
                            strCommand = "1010000010011000"
                       Case 13
                            strCommand = "1010000010011000"
                       Case 14
                            strCommand = "1010000010011000"
                       Case 15
                            strCommand = "1010000010011000"
                       Case 16
                            strCommand = "1010000010011000"
                   End Select
                Case "H"
                    Select Case intUnit
                       Case 1
                            strCommand = "1011000010011000"
                       Case 2
                            strCommand = "1011000010011000"
                       Case 3
                            strCommand = "1011000010011000"
                       Case 4
                            strCommand = "1011000010011000"
                       Case 5
                            strCommand = "1011000010011000"
                       Case 6
                            strCommand = "1011000010011000"
                       Case 7
                            strCommand = "1011000010011000"
                       Case 8
                            strCommand = "1011000010011000"
                       Case 9
                            strCommand = "1011000010011000"
                       Case 10
                            strCommand = "1011000010011000"
                       Case 11
                            strCommand = "1011000010011000"
                       Case 12
                            strCommand = "1011000010011000"
                       Case 13
                            strCommand = "1011000010011000"
                       Case 14
                            strCommand = "1011000010011000"
                       Case 15
                            strCommand = "1011000010011000"
                       Case 16
                            strCommand = "1011000010011000"
                   End Select
                Case "I"
                    Select Case intUnit
                       Case 1
                            strCommand = "1110000010011000"
                       Case 2
                            strCommand = "1110000010011000"
                       Case 3
                            strCommand = "1110000010011000"
                       Case 4
                            strCommand = "1110000010011000"
                       Case 5
                            strCommand = "1110000010011000"
                       Case 6
                            strCommand = "1110000010011000"
                       Case 7
                            strCommand = "1110000010011000"
                       Case 8
                            strCommand = "1110000010011000"
                       Case 9
                            strCommand = "1110000010011000"
                       Case 10
                            strCommand = "1110000010011000"
                       Case 11
                            strCommand = "1110000010011000"
                       Case 12
                            strCommand = "1110000010011000"
                       Case 13
                            strCommand = "1110000010011000"
                       Case 14
                            strCommand = "1110000010011000"
                       Case 15
                            strCommand = "1110000010011000"
                       Case 16
                            strCommand = "1110000010011000"
                   End Select
                Case "J"
                    Select Case intUnit
                       Case 1
                            strCommand = "1111000010011000"
                       Case 2
                            strCommand = "1111000010011000"
                       Case 3
                            strCommand = "1111000010011000"
                       Case 4
                            strCommand = "1111000010011000"
                       Case 5
                            strCommand = "1111000010011000"
                       Case 6
                            strCommand = "1111000010011000"
                       Case 7
                            strCommand = "1111000010011000"
                       Case 8
                            strCommand = "1111000010011000"
                       Case 9
                            strCommand = "1111000010011000"
                       Case 10
                            strCommand = "1111000010011000"
                       Case 11
                            strCommand = "1111000010011000"
                       Case 12
                            strCommand = "1111000010011000"
                       Case 13
                            strCommand = "1111000010011000"
                       Case 14
                            strCommand = "1111000010011000"
                       Case 15
                            strCommand = "1111000010011000"
                       Case 16
                            strCommand = "1111000010011000"
                   End Select
                Case "K"
                    Select Case intUnit
                       Case 1
                            strCommand = "1100000010011000"
                       Case 2
                            strCommand = "1100000010011000"
                       Case 3
                            strCommand = "1100000010011000"
                       Case 4
                            strCommand = "1100000010011000"
                       Case 5
                            strCommand = "1100000010011000"
                       Case 6
                            strCommand = "1100000010011000"
                       Case 7
                            strCommand = "1100000010011000"
                       Case 8
                            strCommand = "1100000010011000"
                       Case 9
                            strCommand = "1100000010011000"
                       Case 10
                            strCommand = "1100000010011000"
                       Case 11
                            strCommand = "1100000010011000"
                       Case 12
                            strCommand = "1100000010011000"
                       Case 13
                            strCommand = "1100000010011000"
                       Case 14
                            strCommand = "1100000010011000"
                       Case 15
                            strCommand = "1100000010011000"
                       Case 16
                            strCommand = "1100000010011000"
                   End Select
                Case "L"
                    Select Case intUnit
                       Case 1
                            strCommand = "1101000010011000"
                       Case 2
                            strCommand = "1101000010011000"
                       Case 3
                            strCommand = "1101000010011000"
                       Case 4
                            strCommand = "1101000010011000"
                       Case 5
                            strCommand = "1101000010011000"
                       Case 6
                            strCommand = "1101000010011000"
                       Case 7
                            strCommand = "1101000010011000"
                       Case 8
                            strCommand = "1101000010011000"
                       Case 9
                            strCommand = "1101000010011000"
                       Case 10
                            strCommand = "1101000010011000"
                       Case 11
                            strCommand = "1101000010011000"
                       Case 12
                            strCommand = "1101000010011000"
                       Case 13
                            strCommand = "1101000010011000"
                       Case 14
                            strCommand = "1101000010011000"
                       Case 15
                            strCommand = "1101000010011000"
                       Case 16
                            strCommand = "1101000010011000"
                   End Select
                Case "M"
                    Select Case intUnit
                       Case 1
                            strCommand = "0000000010011000"
                       Case 2
                            strCommand = "0000000010011000"
                       Case 3
                            strCommand = "0000000010011000"
                       Case 4
                            strCommand = "0000000010011000"
                       Case 5
                            strCommand = "0000000010011000"
                       Case 6
                            strCommand = "0000000010011000"
                       Case 7
                            strCommand = "0000000010011000"
                       Case 8
                            strCommand = "0000000010011000"
                       Case 9
                            strCommand = "0000000010011000"
                       Case 10
                            strCommand = "0000000010011000"
                       Case 11
                            strCommand = "0000000010011000"
                       Case 12
                            strCommand = "0000000010011000"
                       Case 13
                            strCommand = "0000000010011000"
                       Case 14
                            strCommand = "0000000010011000"
                       Case 15
                            strCommand = "0000000010011000"
                       Case 16
                            strCommand = "0000000010011000"
                   End Select
                Case "N"
                    Select Case intUnit
                       Case 1
                            strCommand = "0001000010011000"
                       Case 2
                            strCommand = "0001000010011000"
                       Case 3
                            strCommand = "0001000010011000"
                       Case 4
                            strCommand = "0001000010011000"
                       Case 5
                            strCommand = "0001000010011000"
                       Case 6
                            strCommand = "0001000010011000"
                       Case 7
                            strCommand = "0001000010011000"
                       Case 8
                            strCommand = "0001000010011000"
                       Case 9
                            strCommand = "0001000010011000"
                       Case 10
                            strCommand = "0001000010011000"
                       Case 11
                            strCommand = "0001000010011000"
                       Case 12
                            strCommand = "0001000010011000"
                       Case 13
                            strCommand = "0001000010011000"
                       Case 14
                            strCommand = "0001000010011000"
                       Case 15
                            strCommand = "0001000010011000"
                       Case 16
                            strCommand = "0001000010011000"
                   End Select
                Case "O"
                    Select Case intUnit
                       Case 1
                            strCommand = "0010000010011000"
                       Case 2
                            strCommand = "0010000010011000"
                       Case 3
                            strCommand = "0010000010011000"
                       Case 4
                            strCommand = "0010000010011000"
                       Case 5
                            strCommand = "0010000010011000"
                       Case 6
                            strCommand = "0010000010011000"
                       Case 7
                            strCommand = "0010000010011000"
                       Case 8
                            strCommand = "0010000010011000"
                       Case 9
                            strCommand = "0010000010011000"
                       Case 10
                            strCommand = "0010000010011000"
                       Case 11
                            strCommand = "0010000010011000"
                       Case 12
                            strCommand = "0010000010011000"
                       Case 13
                            strCommand = "0010000010011000"
                       Case 14
                            strCommand = "0010000010011000"
                       Case 15
                            strCommand = "0010000010011000"
                       Case 16
                            strCommand = "0010000010011000"
                   End Select
                Case "P"
                    Select Case intUnit
                       Case 1
                            strCommand = "0011000010011000"
                       Case 2
                            strCommand = "0011000010011000"
                       Case 3
                            strCommand = "0011000010011000"
                       Case 4
                            strCommand = "0011000010011000"
                       Case 5
                            strCommand = "0011000010011000"
                       Case 6
                            strCommand = "0011000010011000"
                       Case 7
                            strCommand = "0011000010011000"
                       Case 8
                            strCommand = "0011000010011000"
                       Case 9
                            strCommand = "0011000010011000"
                       Case 10
                            strCommand = "0011000010011000"
                       Case 11
                            strCommand = "0011000010011000"
                       Case 12
                            strCommand = "0011000010011000"
                       Case 13
                            strCommand = "0011000010011000"
                       Case 14
                            strCommand = "0011000010011000"
                       Case 15
                            strCommand = "0011000010011000"
                       Case 16
                            strCommand = "0011000010011000"
                    End Select
            End Select
      
'***********************************************************
'***********************************************************

        Case "BRIGHT"
            Select Case strHouseCode
                Case "A"
                    Select Case intUnit
                       Case 1
                            strCommand = "0110000010001000"
                       Case 2
                            strCommand = "0110000010001000"
                       Case 3
                            strCommand = "0110000010001000"
                       Case 4
                            strCommand = "0110000010001000"
                       Case 5
                            strCommand = "0110000010001000"
                       Case 6
                            strCommand = "0110000010001000"
                       Case 7
                            strCommand = "0110000010001000"
                       Case 8
                            strCommand = "0110000010001000"
                       Case 9
                            strCommand = "0110000010001000"
                       Case 10
                            strCommand = "0110000010001000"
                       Case 11
                            strCommand = "0110000010001000"
                       Case 12
                            strCommand = "0110000010001000"
                       Case 13
                            strCommand = "0110000010001000"
                       Case 14
                            strCommand = "0110000010001000"
                       Case 15
                            strCommand = "0110000010001000"
                       Case 16
                            strCommand = "0110000010001000"
                   End Select
                Case "B"
                    Select Case intUnit
                       Case 1
                            strCommand = "0111000010001000"
                       Case 2
                            strCommand = "0111000010001000"
                       Case 3
                            strCommand = "0111000010001000"
                       Case 4
                            strCommand = "0111000010001000"
                       Case 5
                            strCommand = "0111000010001000"
                       Case 6
                            strCommand = "0111000010001000"
                       Case 7
                            strCommand = "0111000010001000"
                       Case 8
                            strCommand = "0111000010001000"
                       Case 9
                            strCommand = "0111000010001000"
                       Case 10
                            strCommand = "0111000010001000"
                       Case 11
                            strCommand = "0111000010001000"
                       Case 12
                            strCommand = "0111000010001000"
                       Case 13
                            strCommand = "0111000010001000"
                       Case 14
                            strCommand = "0111000010001000"
                       Case 15
                            strCommand = "0111000010001000"
                       Case 16
                            strCommand = "0111000010001000"
                   End Select
                Case "C"
                    Select Case intUnit
                       Case 1
                            strCommand = "0100000010001000"
                       Case 2
                            strCommand = "0100000010001000"
                       Case 3
                            strCommand = "0100000010001000"
                       Case 4
                            strCommand = "0100000010001000"
                       Case 5
                            strCommand = "0100000010001000"
                       Case 6
                            strCommand = "0100000010001000"
                       Case 7
                            strCommand = "0100000010001000"
                       Case 8
                            strCommand = "0100000010001000"
                       Case 9
                            strCommand = "0100000010001000"
                       Case 10
                            strCommand = "0100000010001000"
                       Case 11
                            strCommand = "0100000010001000"
                       Case 12
                            strCommand = "0100000010001000"
                       Case 13
                            strCommand = "0100000010001000"
                       Case 14
                            strCommand = "0100000010001000"
                       Case 15
                            strCommand = "0100000010001000"
                       Case 16
                            strCommand = "0100000010001000"
                   End Select
                Case "D"
                    Select Case intUnit
                       Case 1
                            strCommand = "0101000010001000"
                       Case 2
                            strCommand = "0101000010001000"
                       Case 3
                            strCommand = "0101000010001000"
                       Case 4
                            strCommand = "0101000010001000"
                       Case 5
                            strCommand = "0101000010001000"
                       Case 6
                            strCommand = "0101000010001000"
                       Case 7
                            strCommand = "0101000010001000"
                       Case 8
                            strCommand = "0101000010001000"
                       Case 9
                            strCommand = "0101000010001000"
                       Case 10
                            strCommand = "0101000010001000"
                       Case 11
                            strCommand = "0101000010001000"
                       Case 12
                            strCommand = "0101000010001000"
                       Case 13
                            strCommand = "0101000010001000"
                       Case 14
                            strCommand = "0101000010001000"
                       Case 15
                            strCommand = "0101000010001000"
                       Case 16
                            strCommand = "0101000010001000"
                   End Select
                Case "E"
                    Select Case intUnit
                       Case 1
                            strCommand = "1000000010001000"
                       Case 2
                            strCommand = "1000000010001000"
                       Case 3
                            strCommand = "1000000010001000"
                       Case 4
                            strCommand = "1000000010001000"
                       Case 5
                            strCommand = "1000000010001000"
                       Case 6
                            strCommand = "1000000010001000"
                       Case 7
                            strCommand = "1000000010001000"
                       Case 8
                            strCommand = "1000000010001000"
                       Case 9
                            strCommand = "1000000010001000"
                       Case 10
                            strCommand = "1000000010001000"
                       Case 11
                            strCommand = "1000000010001000"
                       Case 12
                            strCommand = "1000000010001000"
                       Case 13
                            strCommand = "1000000010001000"
                       Case 14
                            strCommand = "1000000010001000"
                       Case 15
                            strCommand = "1000000010001000"
                       Case 16
                            strCommand = "1000000010001000"
                   End Select
                Case "F"
                    Select Case intUnit
                       Case 1
                            strCommand = "1001000010001000"
                       Case 2
                            strCommand = "1001000010001000"
                       Case 3
                            strCommand = "1001000010001000"
                       Case 4
                            strCommand = "1001000010001000"
                       Case 5
                            strCommand = "1001000010001000"
                       Case 6
                            strCommand = "1001000010001000"
                       Case 7
                            strCommand = "1001000010001000"
                       Case 8
                            strCommand = "1001000010001000"
                       Case 9
                            strCommand = "1001000010001000"
                       Case 10
                            strCommand = "1001000010001000"
                       Case 11
                            strCommand = "1001000010001000"
                       Case 12
                            strCommand = "1001000010001000"
                       Case 13
                            strCommand = "1001000010001000"
                       Case 14
                            strCommand = "1001000010001000"
                       Case 15
                            strCommand = "1001000010001000"
                       Case 16
                            strCommand = "1001000010001000"
                   End Select
                Case "G"
                    Select Case intUnit
                       Case 1
                            strCommand = "1010000010001000"
                       Case 2
                            strCommand = "1010000010001000"
                       Case 3
                            strCommand = "1010000010001000"
                       Case 4
                            strCommand = "1010000010001000"
                       Case 5
                            strCommand = "1010000010001000"
                       Case 6
                            strCommand = "1010000010001000"
                       Case 7
                            strCommand = "1010000010001000"
                       Case 8
                            strCommand = "1010000010001000"
                       Case 9
                            strCommand = "1010000010001000"
                       Case 10
                            strCommand = "1010000010001000"
                       Case 11
                            strCommand = "1010000010001000"
                       Case 12
                            strCommand = "1010000010001000"
                       Case 13
                            strCommand = "1010000010001000"
                       Case 14
                            strCommand = "1010000010001000"
                       Case 15
                            strCommand = "1010000010001000"
                       Case 16
                            strCommand = "1010000010001000"
                   End Select
                Case "H"
                    Select Case intUnit
                       Case 1
                            strCommand = "1011000010001000"
                       Case 2
                            strCommand = "1011000010001000"
                       Case 3
                            strCommand = "1011000010001000"
                       Case 4
                            strCommand = "1011000010001000"
                       Case 5
                            strCommand = "1011000010001000"
                       Case 6
                            strCommand = "1011000010001000"
                       Case 7
                            strCommand = "1011000010001000"
                       Case 8
                            strCommand = "1011000010001000"
                       Case 9
                            strCommand = "1011000010001000"
                       Case 10
                            strCommand = "1011000010001000"
                       Case 11
                            strCommand = "1011000010001000"
                       Case 12
                            strCommand = "1011000010001000"
                       Case 13
                            strCommand = "1011000010001000"
                       Case 14
                            strCommand = "1011000010001000"
                       Case 15
                            strCommand = "1011000010001000"
                       Case 16
                            strCommand = "1011000010001000"
                   End Select
                Case "I"
                    Select Case intUnit
                       Case 1
                            strCommand = "1110000010001000"
                       Case 2
                            strCommand = "1110000010001000"
                       Case 3
                            strCommand = "1110000010001000"
                       Case 4
                            strCommand = "1110000010001000"
                       Case 5
                            strCommand = "1110000010001000"
                       Case 6
                            strCommand = "1110000010001000"
                       Case 7
                            strCommand = "1110000010001000"
                       Case 8
                            strCommand = "1110000010001000"
                       Case 9
                            strCommand = "1110000010001000"
                       Case 10
                            strCommand = "1110000010001000"
                       Case 11
                            strCommand = "1110000010001000"
                       Case 12
                            strCommand = "1110000010001000"
                       Case 13
                            strCommand = "1110000010001000"
                       Case 14
                            strCommand = "1110000010001000"
                       Case 15
                            strCommand = "1110000010001000"
                       Case 16
                            strCommand = "1110000010001000"
                   End Select
                Case "J"
                    Select Case intUnit
                       Case 1
                            strCommand = "1111000010001000"
                       Case 2
                            strCommand = "1111000010001000"
                       Case 3
                            strCommand = "1111000010001000"
                       Case 4
                            strCommand = "1111000010001000"
                       Case 5
                            strCommand = "1111000010001000"
                       Case 6
                            strCommand = "1111000010001000"
                       Case 7
                            strCommand = "1111000010001000"
                       Case 8
                            strCommand = "1111000010001000"
                       Case 9
                            strCommand = "1111000010001000"
                       Case 10
                            strCommand = "1111000010001000"
                       Case 11
                            strCommand = "1111000010001000"
                       Case 12
                            strCommand = "1111000010001000"
                       Case 13
                            strCommand = "1111000010001000"
                       Case 14
                            strCommand = "1111000010001000"
                       Case 15
                            strCommand = "1111000010001000"
                       Case 16
                            strCommand = "1111000010001000"
                   End Select
                Case "K"
                    Select Case intUnit
                       Case 1
                            strCommand = "1100000010001000"
                       Case 2
                            strCommand = "1100000010001000"
                       Case 3
                            strCommand = "1100000010001000"
                       Case 4
                            strCommand = "1100000010001000"
                       Case 5
                            strCommand = "1100000010001000"
                       Case 6
                            strCommand = "1100000010001000"
                       Case 7
                            strCommand = "1100000010001000"
                       Case 8
                            strCommand = "1100000010001000"
                       Case 9
                            strCommand = "1100000010001000"
                       Case 10
                            strCommand = "1100000010001000"
                       Case 11
                            strCommand = "1100000010001000"
                       Case 12
                            strCommand = "1100000010001000"
                       Case 13
                            strCommand = "1100000010001000"
                       Case 14
                            strCommand = "1100000010001000"
                       Case 15
                            strCommand = "1100000010001000"
                       Case 16
                            strCommand = "1100000010001000"
                   End Select
                Case "L"
                    Select Case intUnit
                       Case 1
                            strCommand = "1101000010001000"
                       Case 2
                            strCommand = "1101000010001000"
                       Case 3
                            strCommand = "1101000010001000"
                       Case 4
                            strCommand = "1101000010001000"
                       Case 5
                            strCommand = "1101000010001000"
                       Case 6
                            strCommand = "1101000010001000"
                       Case 7
                            strCommand = "1101000010001000"
                       Case 8
                            strCommand = "1101000010001000"
                       Case 9
                            strCommand = "1101000010001000"
                       Case 10
                            strCommand = "1101000010001000"
                       Case 11
                            strCommand = "1101000010001000"
                       Case 12
                            strCommand = "1101000010001000"
                       Case 13
                            strCommand = "1101000010001000"
                       Case 14
                            strCommand = "1101000010001000"
                       Case 15
                            strCommand = "1101000010001000"
                       Case 16
                            strCommand = "1101000010001000"
                   End Select
                Case "M"
                    Select Case intUnit
                       Case 1
                            strCommand = "0000000010001000"
                       Case 2
                            strCommand = "0000000010001000"
                       Case 3
                            strCommand = "0000000010001000"
                       Case 4
                            strCommand = "0000000010001000"
                       Case 5
                            strCommand = "0000000010001000"
                       Case 6
                            strCommand = "0000000010001000"
                       Case 7
                            strCommand = "0000000010001000"
                       Case 8
                            strCommand = "0000000010001000"
                       Case 9
                            strCommand = "0000000010001000"
                       Case 10
                            strCommand = "0000000010001000"
                       Case 11
                            strCommand = "0000000010001000"
                       Case 12
                            strCommand = "0000000010001000"
                       Case 13
                            strCommand = "0000000010001000"
                       Case 14
                            strCommand = "0000000010001000"
                       Case 15
                            strCommand = "0000000010001000"
                       Case 16
                            strCommand = "0000000010001000"
                   End Select
                Case "N"
                    Select Case intUnit
                       Case 1
                            strCommand = "0001000010001000"
                       Case 2
                            strCommand = "0001000010001000"
                       Case 3
                            strCommand = "0001000010001000"
                       Case 4
                            strCommand = "0001000010001000"
                       Case 5
                            strCommand = "0001000010001000"
                       Case 6
                            strCommand = "0001000010001000"
                       Case 7
                            strCommand = "0001000010001000"
                       Case 8
                            strCommand = "0001000010001000"
                       Case 9
                            strCommand = "0001000010001000"
                       Case 10
                            strCommand = "0001000010001000"
                       Case 11
                            strCommand = "0001000010001000"
                       Case 12
                            strCommand = "0001000010001000"
                       Case 13
                            strCommand = "0001000010001000"
                       Case 14
                            strCommand = "0001000010001000"
                       Case 15
                            strCommand = "0001000010001000"
                       Case 16
                            strCommand = "0001000010001000"
                   End Select
                Case "O"
                    Select Case intUnit
                       Case 1
                            strCommand = "0010000010001000"
                       Case 2
                            strCommand = "0010000010001000"
                       Case 3
                            strCommand = "0010000010001000"
                       Case 4
                            strCommand = "0010000010001000"
                       Case 5
                            strCommand = "0010000010001000"
                       Case 6
                            strCommand = "0010000010001000"
                       Case 7
                            strCommand = "0010000010001000"
                       Case 8
                            strCommand = "0010000010001000"
                       Case 9
                            strCommand = "0010000010001000"
                       Case 10
                            strCommand = "0010000010001000"
                       Case 11
                            strCommand = "0010000010001000"
                       Case 12
                            strCommand = "0010000010001000"
                       Case 13
                            strCommand = "0010000010001000"
                       Case 14
                            strCommand = "0010000010001000"
                       Case 15
                            strCommand = "0010000010001000"
                       Case 16
                            strCommand = "0010000010001000"
                   End Select
                Case "P"
                    Select Case intUnit
                       Case 1
                            strCommand = "0011000010001000"
                       Case 2
                            strCommand = "0011000010001000"
                       Case 3
                            strCommand = "0011000010001000"
                       Case 4
                            strCommand = "0011000010001000"
                       Case 5
                            strCommand = "0011000010001000"
                       Case 6
                            strCommand = "0011000010001000"
                       Case 7
                            strCommand = "0011000010001000"
                       Case 8
                            strCommand = "0011000010001000"
                       Case 9
                            strCommand = "0011000010001000"
                       Case 10
                            strCommand = "0011000010001000"
                       Case 11
                            strCommand = "0011000010001000"
                       Case 12
                            strCommand = "0011000010001000"
                       Case 13
                            strCommand = "0011000010001000"
                       Case 14
                            strCommand = "0011000010001000"
                       Case 15
                            strCommand = "0011000010001000"
                       Case 16
                            strCommand = "0011000010001000"
                    End Select
            End Select
    End Select
    
   fGetCommandBits = strCommand
   
End Function

